"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRemoveAuthorizedUsersRequest = exports.createAddAuthorizedUsersRequest = exports.createRelationshipArray = exports.createRelationship = exports.createCoordinates = exports.createCounterparty = exports.createAuthorizedUser = exports.createBusinessContact = exports.createBeneficialOwner = exports.createOfficer = exports.createPhone = exports.createFullName = exports.createAddress = exports.createUsAddress = void 0;
function createUsAddress(street, street2, city, state, postalCode, country) {
    return {
        street,
        ...(street2 && { street2 }),
        city,
        ...(state && { state }),
        postalCode,
        country
    };
}
exports.createUsAddress = createUsAddress;
function createAddress(street, street2, city, state, postalCode, country) {
    return {
        street,
        ...(street2 && { street2 }),
        city,
        ...(state && { state }),
        postalCode,
        country
    };
}
exports.createAddress = createAddress;
function createFullName(first, last) {
    return {
        first,
        last
    };
}
exports.createFullName = createFullName;
function createPhone(countryCode, number) {
    return {
        countryCode,
        number
    };
}
exports.createPhone = createPhone;
function createOfficer(status, fullName, title, ssn, passport, nationality, dateOfBirth, address, phone, email) {
    return {
        ...(status && { status }),
        fullName,
        ...(title && { title }),
        ...(ssn && { ssn }),
        ...(passport && { passport }),
        ...(nationality && { nationality }),
        dateOfBirth,
        address,
        phone,
        email,
    };
}
exports.createOfficer = createOfficer;
function createBeneficialOwner(status, fullName, ssn, passport, nationality, dateOfBirth, address, phone, email, percentage) {
    return {
        ...(status && { status }),
        fullName,
        ...(ssn && { ssn }),
        ...(passport && { passport }),
        ...(nationality && { nationality }),
        dateOfBirth,
        address,
        phone,
        email,
        ...(percentage && { percentage }),
    };
}
exports.createBeneficialOwner = createBeneficialOwner;
function createBusinessContact(fullName, email, phone) {
    return {
        fullName,
        email,
        phone
    };
}
exports.createBusinessContact = createBusinessContact;
function createAuthorizedUser(fullName, email, phone) {
    return {
        fullName,
        email,
        phone
    };
}
exports.createAuthorizedUser = createAuthorizedUser;
function createCounterparty(routingNumber, accountNumber, accountType, name) {
    return {
        routingNumber,
        accountNumber,
        accountType,
        name
    };
}
exports.createCounterparty = createCounterparty;
function createCoordinates(longitude, latitude) {
    return {
        longitude,
        latitude
    };
}
exports.createCoordinates = createCoordinates;
function createRelationship(type, id) {
    return {
        data: {
            type,
            id
        }
    };
}
exports.createRelationship = createRelationship;
function createRelationshipArray(type, ids) {
    const ra = [];
    ids.forEach(id => {
        ra.push({
            type,
            id
        });
    });
    return ra;
}
exports.createRelationshipArray = createRelationshipArray;
function createAddAuthorizedUsersRequest(customerId, authorizedUsers) {
    return {
        customerId,
        data: {
            type: "addAuthorizedUsers",
            attributes: {
                authorizedUsers
            }
        }
    };
}
exports.createAddAuthorizedUsersRequest = createAddAuthorizedUsersRequest;
function createRemoveAuthorizedUsersRequest(customerId, authorizedUsersEmails) {
    return {
        customerId,
        data: {
            type: "removeAuthorizedUsers",
            attributes: {
                authorizedUsersEmails
            }
        }
    };
}
exports.createRemoveAuthorizedUsersRequest = createRemoveAuthorizedUsersRequest;
