import { BaseListParams, UnitConfig, UnitResponse } from "../types/common";
import { UnitEvent } from "../types/events";
import { BaseResource } from "./baseResource";
export declare class Events extends BaseResource {
    constructor(token: string, basePath: string, config?: UnitConfig);
    get(id: string): Promise<UnitResponse<UnitEvent>>;
    list(params?: EventListParams): Promise<UnitResponse<UnitEvent[]>>;
    fire(id: string): Promise<UnitResponse<UnitEvent>>;
}
export interface EventListParams extends BaseListParams {
    /**
     * Optional. Filter events by event type
     * default: empty
     */
    type?: string[];
}
