"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const unit_1 = require("../unit");
const dotenv_1 = __importDefault(require("dotenv"));
dotenv_1.default.config();
const unit = new unit_1.Unit(process.env.UNIT_TOKEN || "test", process.env.UNIT_API_URL || "test");
const authorizationRequestsId = [];
describe("AuthorizationRequests List", () => {
    test("Get AuthorizationRequests List", async () => {
        const res = await unit.authorizationRequests.list();
        res.data.forEach(element => {
            expect(element.type === "purchaseAuthorizationRequest").toBeTruthy();
            authorizationRequestsId.push(element.id);
        });
    });
});
describe("Get AuthorizationRequest Test", () => {
    test("get authorizationRequest event", async () => {
        authorizationRequestsId.forEach(async (id) => {
            const res = await unit.authorizationRequests.get(id);
            expect(res.data.type === "purchaseAuthorizationRequest").toBeTruthy();
        });
    });
});
