"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const unit_1 = require("../unit");
const dotenv_1 = __importDefault(require("dotenv"));
dotenv_1.default.config();
const unit = new unit_1.Unit(process.env.UNIT_TOKEN || "test", process.env.UNIT_API_URL || "test");
const receivedPaymentsId = [];
describe("ReceivedPayments List", () => {
    test("Get ReceivedPayments List", async () => {
        const res = await unit.receivedPayments.list();
        res.data.forEach(element => {
            expect(element.type === "achReceivedPayment").toBeTruthy();
            receivedPaymentsId.push(element.id);
        });
    });
});
describe("Get ReceivedPayment Test", () => {
    test("get each ReceivedPayment", async () => {
        receivedPaymentsId.forEach(async (id) => {
            const res = await unit.receivedPayments.get(id, "account");
            expect(res.data.type === "achReceivedPayment").toBeTruthy();
            const acc = res.included;
            expect(acc.type).toContain("Account");
        });
    });
});
describe("Update ReceivedPayment Test", () => {
    test("update an ReceivedPayment", async () => {
        receivedPaymentsId.forEach(async (rp) => {
            const payment = await (await unit.receivedPayments.get(rp)).data;
            const res = await unit.receivedPayments.update(payment.id, { type: payment.type, attributes: { tags: { "update": "test" } } });
            expect(res.data.type).toBe("achReceivedPayment");
        });
    });
});
