"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createBussinessAccount = exports.createIndividualAccount = exports.createBusinessCustomer = exports.createIndividualCustomer = exports.createTrustApplication = exports.createBusinessApplication = exports.createIndividualApplicationWithRequiredDocument = exports.createIndividualApplication = void 0;
const helpers_1 = require("../helpers");
function createIndividualApplication(unit) {
    const createIndividualApplication = {
        type: "individualApplication",
        attributes: {
            ssn: "721074426",
            fullName: (0, helpers_1.createFullName)("Richard", "Hendricks"),
            dateOfBirth: "2001-08-10",
            address: (0, helpers_1.createAddress)("20 Ingram St", null, "Forest Hills", "CA", "11375", "US"),
            email: "april@baxter.com",
            phone: (0, helpers_1.createPhone)("1", "5555555555")
        }
    };
    return unit.applications.create(createIndividualApplication);
}
exports.createIndividualApplication = createIndividualApplication;
function createIndividualApplicationWithRequiredDocument(unit) {
    const createIndividualApplication = {
        type: "individualApplication",
        attributes: {
            ssn: "000000002",
            fullName: (0, helpers_1.createFullName)("Richard", "Hendricks"),
            dateOfBirth: "2001-08-10",
            address: (0, helpers_1.createAddress)("20 Ingram St", null, "Forest Hills", "CA", "11375", "US"),
            email: "april@baxter.com",
            phone: (0, helpers_1.createPhone)("1", "5555555555")
        }
    };
    return unit.applications.create(createIndividualApplication);
}
exports.createIndividualApplicationWithRequiredDocument = createIndividualApplicationWithRequiredDocument;
function createBusinessApplication(unit) {
    const businessApplication = {
        type: "businessApplication",
        attributes: {
            name: "Acme Inc.",
            address: (0, helpers_1.createAddress)("1600 Pennsylvania Avenue Northwest", null, "Washington", "CA", "20500", "US"),
            phone: (0, helpers_1.createPhone)("1", "9294723497"),
            stateOfIncorporation: "CA",
            entityType: "Corporation",
            ein: "123456789",
            officer: (0, helpers_1.createOfficer)(null, (0, helpers_1.createFullName)("Jone", "Doe"), null, "123456789", null, null, "2012-05-05", (0, helpers_1.createAddress)("950 Allerton Street", null, "Redwood City", "CA", "94063", "US"), (0, helpers_1.createPhone)("1", "2025550108"), "jone.doe@unit-finance.com"),
            contact: (0, helpers_1.createBusinessContact)((0, helpers_1.createFullName)("Jone", "Doe"), "jone.doe@unit-finance.com", (0, helpers_1.createPhone)("1", "2025550108")),
            beneficialOwners: [
                (0, helpers_1.createBeneficialOwner)(null, (0, helpers_1.createFullName)("James", "Smith"), "574567625", null, null, "2012-04-05", (0, helpers_1.createAddress)("650 Allerton Street", null, "Redwood City", "CA", "94063", "US"), (0, helpers_1.createPhone)("1", "2025550127"), "james@unit-finance.com", null),
                (0, helpers_1.createBeneficialOwner)(null, (0, helpers_1.createFullName)("Richard", "Hendricks"), "574572795", null, null, "2012-04-03", (0, helpers_1.createAddress)("470 Allerton Street", null, "Redwood City", "CA", "94063", "US"), (0, helpers_1.createPhone)("1", "2025550158"), "richard@unit-finance.com", null)
            ]
        }
    };
    return unit.applications.create(businessApplication);
}
exports.createBusinessApplication = createBusinessApplication;
function createTrustApplication(unit) {
    const createTrustApplication = {
        "type": "trustApplication",
        "attributes": {
            "name": "Trust me Inc.",
            "stateOfIncorporation": "CA",
            "revocability": "Revocable",
            "sourceOfFunds": "Salary",
            "taxId": "123456789",
            "trustees": [
                {
                    "fullName": (0, helpers_1.createFullName)("Richard", "Hendricks"),
                    "dateOfBirth": "2000-01-01",
                    "ssn": "000000002",
                    "email": "richard@piedpiper.com",
                    "phone": (0, helpers_1.createPhone)("1", "2025550108"),
                    "address": (0, helpers_1.createAddress)("5230 Newell Rd", null, "Palo Alto", "CA", "94303", "US")
                }
            ],
            "contact": {
                "fullName": (0, helpers_1.createFullName)("Jared", "Dunn"),
                "email": "jared@piedpiper.com",
                "phone": (0, helpers_1.createPhone)("1", "2025550108"),
                "address": (0, helpers_1.createAddress)("5230 Newell Rd", null, "Palo Alto", "CA", "94303", "US")
            },
            "grantor": {
                "fullName": (0, helpers_1.createFullName)("Jared", "Dunn"),
                "dateOfBirth": "2000-01-01",
                "ssn": "000000003",
                "email": "laurie@raviga.com",
                "phone": (0, helpers_1.createPhone)("1", "2025550108"),
                "address": (0, helpers_1.createAddress)("5230 Newell Rd", null, "Palo Alto", "CA", "94303", "US")
            },
            "tags": {
                "test": "test1"
            },
            "beneficiaries": [
                {
                    "fullName": (0, helpers_1.createFullName)("Dinesh", "Chugtai"),
                    "dateOfBirth": "2000-01-01"
                },
                {
                    "fullName": (0, helpers_1.createFullName)("Gilfoyle", "Unknown"),
                    "dateOfBirth": "2000-01-01"
                }
            ]
        }
    };
    return unit.applications.create(createTrustApplication);
}
exports.createTrustApplication = createTrustApplication;
function createAccount(customerId, unit) {
    const createDepositAccountRequest = {
        type: "depositAccount",
        attributes: {
            depositProduct: "checking",
            tags: {
                purpose: "checking"
            }
        },
        relationships: {
            customer: {
                data: {
                    type: "customer",
                    id: customerId
                }
            }
        }
    };
    return unit.accounts.create(createDepositAccountRequest);
}
async function createIndividualCustomer(unit) {
    var _a;
    const id = (_a = (await createIndividualApplication(unit)).data.relationships.customer) === null || _a === void 0 ? void 0 : _a.data.id;
    return id ? id : "";
}
exports.createIndividualCustomer = createIndividualCustomer;
async function createBusinessCustomer(unit) {
    var _a;
    const id = (_a = (await createBusinessApplication(unit)).data.relationships.customer) === null || _a === void 0 ? void 0 : _a.data.id;
    return id ? id : "";
}
exports.createBusinessCustomer = createBusinessCustomer;
async function createIndividualAccount(unit) {
    const customerId = await createIndividualCustomer(unit);
    return createAccount(customerId ? customerId : "", unit);
}
exports.createIndividualAccount = createIndividualAccount;
async function createBussinessAccount(unit) {
    const customerId = await createBusinessCustomer(unit);
    return createAccount(customerId ? customerId : "", unit);
}
exports.createBussinessAccount = createBussinessAccount;
