"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const unit_1 = require("../unit");
const dotenv_1 = __importDefault(require("dotenv"));
dotenv_1.default.config();
const unit = new unit_1.Unit(process.env.UNIT_TOKEN || "test", process.env.UNIT_API_URL || "test");
const webhookId = [];
describe("Webhooks List", () => {
    test("Get Webhooks List", async () => {
        const res = await unit.webhooks.list();
        res.data.forEach(element => {
            expect(element.type === "webhook").toBeTruthy();
            webhookId.push(element.id);
        });
    });
});
describe("Get Webhook Test", () => {
    test("get each webhook", async () => {
        webhookId.forEach(async (id) => {
            const res = await unit.webhooks.get(id);
            expect(res.data.type === "webhook").toBeTruthy();
        });
    });
});
